[Unit]
Description=NibasaViewer Gnicorn daemon
Requires=nibasaviewer.socket
After=network.target

[Service]
User=nibasaviewer
Group=nibasaviewer
WorkingDirectory=/var/lib/NibasaViewer
ExecStart=/var/lib/NibasaViewer/.venv/bin/gunicorn \
          --access-logfile /var/log/gunicorn_access.log \
          --error-logfile /var/log/gunicorn_errors.log \
          --log-level=debug \
          --workers 3 \
          --timeout 6400 \
          --bind unix:/run/nibasaviewer.sock \
          --limit-request-line 8190 \
          jcg.wsgi:application \

[Install]
WantedBy=multi-user.target
